### Method

# Gio TlsPassword set_warning

since: 2.30

#### Declaration [src]

    void
    g_tls_password_set_warning (
      GTlsPassword* password,
      const gchar* warning
    )

#### Description [src]

Set a user readable translated warning. Usually this warning is a representation of the password flags returned from g_tls_password_get_flags().

Available since: 2.30

Sets property | `Gio.TlsPassword:warning`

#### Parameters

`warning`

  Type: `const gchar*`

  The user readable warning.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.